Get dataset items headers
HEAD/v2/datasets/:datasetId/items
Returns only the HTTP headers for the dataset items endpoint, without the response body. This is useful to check pagination metadata or verify access without downloading the full dataset.
Request
Path Parameters
Dataset ID or username~dataset-name.
WkzbQMuFYuamGv3YFQuery Parameters
Format of the results, possible values are: json, jsonl, csv, html, xlsx, xml and rss. The default value is json.
jsonIf true or 1 then the API endpoint returns only non-empty items and skips hidden fields (i.e. fields starting with the # character).
The clean parameter is just a shortcut for skipHidden=true and skipEmpty=true parameters.
Note that since some objects might be skipped from the output, that the result might contain less items than the limit value.
falseNumber of items that should be skipped at the start. The default value is 0.
0Maximum number of items to return. By default there is no limit.
A comma-separated list of fields which should be picked from the items, only these fields will remain in the resulting record objects.
Note that the fields in the outputted items are sorted the same way as they are specified in the fields query parameter.
You can use this feature to effectively fix the output format.
myValue,myOtherValueA comma-separated list of fields which should be omitted from the items.
Example:myValue,myOtherValueA comma-separated list of fields which should be unwound, in order which they should be processed. Each field should be either an array or an object.
If the field is an array then every element of the array will become a separate record and merged with parent object.
If the unwound field is an object then it is merged with the parent object.
If the unwound field is missing or its value is neither an array nor an object and therefore cannot be merged with a parent object then the item gets preserved as it is.
Note that the unwound items ignore the desc parameter.
myValue,myOtherValueA comma-separated list of fields which should transform nested objects into flat structures.
For example, with flatten="foo" the object {"foo":{"bar": "hello"}} is turned into {"foo.bar": "hello"}.
The original object with properties is replaced with the flattened object.
Example:myValueBy default, results are returned in the same order as they were stored.
To reverse the order, set this parameter to true or 1.
trueIf true or 1 then the response will define the Content-Disposition: attachment header, forcing a web browser to download the file rather
than to display it. By default this header is not present.
trueA delimiter character for CSV files, only used if format=csv. You
might need to URL-encode the character (e.g. use %09 for tab or %3B
for semicolon). The default delimiter is a simple comma (,).
;All text responses are encoded in UTF-8 encoding. By default, the
format=csv files are prefixed with the UTF-8 Byte Order Mark (BOM), while json, jsonl, xml, html and rss files are not.
If you want to override this default behavior, specify bom=1 query parameter to include the BOM or bom=0 to skip it.
falseOverrides default root element name of xml output. By default the root element is items.
itemsOverrides default element name that wraps each page or page function result object in xml output. By default the element name is item.
itemIf true or 1 then header row in the csv format is skipped.
trueIf true or 1 then hidden fields are skipped from the output, i.e. fields starting with the # character.
falseIf true or 1 then empty items are skipped from the output.
Note that if used, the results might contain less items than the limit value.
Example:falseIf true or 1 then, the endpoint applies the fields=url,pageFunctionResult,errorInfo
and unwind=pageFunctionResult query parameters. This feature is used to emulate simplified results provided by the
legacy Apify Crawler product and it's not recommended to use it in new integrations.
falseDefines the view configuration for dataset items based on the schema definition. This parameter determines how the data will be filtered and presented. For complete specification details, see the dataset schema documentation.
Example:overviewIf true or 1 then, the all the items with errorInfo property will be skipped from the output.
This feature is here to emulate functionality of API version 1 used for the legacy Apify Crawler product and it's not recommended to use it in new integrations.
Example:falseSignature used for the access.
Example:2wTI46Bg8qWQrV7tavlPIStatus 200
Response Headers
- X-Apify-Pagination-Offset
The offset of the first item in the current page.
- X-Apify-Pagination-Limit
The maximum number of items returned per page.
- X-Apify-Pagination-Count
The number of items returned in the current page.
- X-Apify-Pagination-Total
The total number of items in the dataset.
Status 400
Bad request - invalid input parameters or request body.
{
"error": {
"type": "invalid-input",
"message": "Invalid input: The request body contains invalid data."
}
}
Schema
error object required
- type string requiredExample:
run-failed - message string requiredExample:
Actor run did not succeed (run ID: 55uatRrZib4xbZs, status: FAILED)
- type string requiredExample: